Bug 14812 - Help could not be displayed in the correct language
Summary: Help could not be displayed in the correct language
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-14 09:32 UTC by Jonathan Druart
Modified: 2016-06-21 21:39 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14812: Display the help in the correct language (1.09 KB, patch)
2015-09-14 09:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14812: Display the help in the correct language (1.37 KB, patch)
2015-10-01 10:02 UTC, Magnus Enger
Details | Diff | Splinter Review
[PASSED QA] Bug 14812: Display the help in the correct language (1.43 KB, patch)
2015-10-01 20:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-09-14 09:32:42 UTC
If opaclanguages != language, the language of the help page is the default one (en).

To reproduce:
Set language to en, fr-FR, ar-Arab and opaclanguages to en, fr-FR

Translate the fr-FR and ar-Arab templates.
Go on the mainpage, switch to ar-Arab, go to the help page.
The page is displayed in English (fallback).
Comment 1 Jonathan Druart 2015-09-14 09:37:42 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2015-10-01 10:02:34 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-10-01 20:39:19 UTC
Created attachment 43031 [details] [review]
[PASSED QA] Bug 14812: Display the help in the correct language

If opaclanguages != language, the language of the help page is the
default one (en).

Test plan:
1/ Set language to en, fr-FR, ar-Arab and opaclanguages to en, fr-FR
2/ Translate the fr-FR and ar-Arab templates.
3/ Go on the mainpage, switch to ar-Arab, go to the help page.
The help page content should be in Arabian, not English.

Signed-off-by: Magnus Enger <magnus@libriotech.no>
Set language = en, sv-SE, nb-NO. opaclanguage = en, nb-NO
Went to the intranet main page, selected Swedish and clicked on help
Without the patch, help was displayed in English
With the patch, help was displayed in Swedish. Yay!

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-10-02 18:27:02 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 5 Liz Rea 2015-11-02 21:05:30 UTC
Pushed to 3.18.x, is in 3.18.12.